%define major 2
%define libname %mklibname zookeeper %{major}
%define develname %mklibname zookeeper -d

Name:          apache-zookeeper
Version:       3.3.3
Release:       %mkrel 1
Summary:       Zookeeper Java library
Group:         Development/Java
License:       ASL 2.0
Url:           http://zookeeper.apache.org/
# svn export http://svn.apache.org/repos/asf/zookeeper/tags/release-3.3.3/ apache-zookeeper-3.3.3
# tar czf apache-zookeeper-3.3.3-src-svn.tar.gz apache-zookeeper-3.3.3
Source0:       ftp://ftp.gbnet.net/pub/apache/dist/zookeeper/zookeeper-%{version}/zookeeper-%{version}.tar.gz
Source1:       ftp://ftp.gbnet.net/pub/apache/dist/zookeeper/zookeeper-%{version}/zookeeper-%{version}.tar.gz.asc
Source2:       http://repo1.maven.org/maven2/org/apache/zookeeper/zookeeper/%{version}/zookeeper-%{version}.pom
Patch0:        apache-zookeeper-3.3.3-build.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-lang
BuildRequires: apache-rat-tasks
BuildRequires: checkstyle
BuildRequires: ivy
BuildRequires: jdiff >= 1.0.10-2.0.7
BuildRequires: jline
BuildRequires: junit
BuildRequires: rat-lib
BuildRequires: xerces-j2

Requires:      apache-commons-collections
Requires:      apache-commons-lang
Requires:      jdiff >= 1.0.10-2.0.7
Requires:      jline
Requires:      junit
Requires:      xerces-j2

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
#BuildArch:     noarch

%description
ZooKeeper is a centralized service for maintaining configuration information,
naming, providing distributed synchronization, and providing group services.

This package provides Zookeeper Java library

%package -n zookeeper
Summary:       Zookeeper C client library
Group:         System/Libraries
BuildRequires: cppunit-devel >= 1.10.2
BuildRequires: dos2unix
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: libtool

%description -n zookeeper
This package provides a C client interface to Zookeeper server. For general
information about Zookeeper please see %{url}

%package -n %{libname}
Summary:       Zookeeper C client library
Group:         System/Libraries
BuildRequires: cppunit-devel >= 1.10.2
BuildRequires: dos2unix
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: libtool

%description -n %{libname}
This package provides a C client interface to Zookeeper server. For general
information about Zookeeper please see %{url}

%package -n %{develname}
Summary:       Development files for the %{libname} library
Group:         Development/C
Requires:      %{libname} >= %{version}
Provides:      zookeeper-devel = %{version}-%{release}

%description -n %{develname}
Development files for the %{libname} library.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n zookeeper-%{version}

find -name "*.jar" -exec rm -f {} \;
find -name "*.class" -exec rm -f {} \;
find -name "*.cmd" -exec rm -f {} \;
find -name "*.so*" -exec rm -f {} \;
find -name "*.dll" -exec rm -f {} \;

%patch0 -p1

%build

ant build-generated jar javadoc

pushd src/c
rm -rf autom4te.cache
autoreconf -fis

%configure2_5x \
  --disable-rpath \
  --with-syncapi

%make
	
make doxygen-doc
popd

%check
pushd src/c
make check
popd

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 build/zookeeper-%{version}.jar %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 %SOURCE2 %{buildroot}%{_mavenpomdir}/JPP-zookeeper.pom
%add_maven_depmap JPP-zookeeper.pom zookeeper.jar

mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/zookeeper

mkdir -p %{buildroot}%{_javadocdir}/zookeeper
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/zookeeper/

# TODO
# bin/zkCleanup.sh
# bin/zkCli.sh
# bin/zkEnv.sh
# bin/zkServer.sh

pushd src/c
%makeinstall_std

# cleanup
rm -f docs/html/*.map
popd

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/zookeeper*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGES.txt LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/zookeeper

%files -n zookeeper
%defattr(-,root,root)
%{_bindir}/cli_mt
%{_bindir}/cli_st
%{_bindir}/load_gen

%files -n %{libname}
%defattr(-,root,root)
%doc src/c/ChangeLog src/c/LICENSE src/c/README
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc src/c/docs/html/*
%dir %{_includedir}/c-client-src
%{_includedir}/c-client-src/*.h
%{_libdir}/*.so
%{_libdir}/*.*a


%changelog

* Thu Oct 20 2011 gil <gil> 3.3.3-1.mga2
+ Revision: 157056
- imported package apache-zookeeper

